/*-
 * Copyright (c) 2013 Devin Teske <dteske@FreeBSD.org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $FreeBSD$
 */

#ifndef _FDPV_H_
#define _FDPV_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <sys/types.h>

/* Debugging */
extern uint8_t debug;

/* Limits */
#define FDPV_DISPLAY_LIMIT	10	/* Max file desc progress lines */
#define PPROMPT_MAX		4096	/* Buffer size for `-p text' */
#define APROMPT_MAX		4096	/* Buffer size for `-a text' */

/* Data to process */
extern unsigned int nfiles;
struct file_node {
	char	*name;		/* name of file to read from file descriptor */
	int	fd;		/* file descriptor on which to read the file */
	struct file_node *next;	/* pointer to next file_node (end with NULL) */
};

/* Extra display information */
extern uint8_t wide;
extern char *pgm;
extern char *pprompt, *aprompt;

#ifdef __cplusplus
}
#endif

#endif /* !_FDPV_H_ */
