#!/bin/sh
#-
# Copyright (c) 2013 Devin Teske <dteske@FreeBSD.org>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
############################################################ IDENT(1)
#
# $Title: fdpv proof-of-concept test-script $
# $FreeBSD$
#
############################################################ CONFIGURATION

LABEL_SIZE=	# Width of labels (default 28)
PBAR_SIZE=	# Width of mini-progress bars (default 17)

# Labels to display for each file-descriptor (required)
files="base.txz dict.txz doc.txz games.txz ports.txz"

############################################################ GLOBALS

# Defaults (overrides allowed)
: ${USE_COLOR=1}

# Title and backtitle
title="Distributions"
backtitle="FreeBSD Installer"

# Text to display before and after the mini-progress bar layout
prefix="Fetching distribution files...\n"
append="\n  Overall Progress:"

############################################################ INIT

#
# Initialize arguments (effects color)
#
[ "$1" = "-X" ] && export USE_COLOR=

# Make a custom version of the append string if we have color
[ "$USE_COLOR" ] && append="\n  \ZbOverall Progress:\Zn"

############################################################ MAIN

#
# See fdpv(1) for details
#
./fdpv -T \
	${title:+-t"$title"} \
	${backtitle:+-b"$backtitle"} \
	${prefix:+-p"$prefix"} \
	${append:+-a"$append"} \
	${LABEL_SIZE:+-L$LABEL_SIZE} \
	${PBAR_SIZE:+-P$PBAR_SIZE} \
       "$@" $files

################################################################################
# END
################################################################################
