#!/bin/sh
#-
# Copyright (c) 2013 Devin Teske <dteske@FreeBSD.org>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
############################################################ IDENT(1)
#
# $Title: fdpv color proof-of-concept test-script $
# $FreeBSD$
#
############################################################ CONFIGURATION

LABEL_SIZE=	# Width of labels (default 28)
PBAR_SIZE=	# Width of mini-progress bars (default 17)

# Labels to display for each file-descriptor (required)
file1="\ZuForeground Colors\ZU\n  Z1: \Z1Red"
file2="  Z2: \Z2Green"
file3="  Z3: \Z3Yellow"
file4="  Z4: \Z4Blue"
file5="  Z5: \Z5Magenta"
file6="  Z6: \Z6Cyan"
file7="  Z7: \Z7White"
file8="  Z8: \Z8Black"
file9="\n\ZuBackground Colors\ZU\n  ZrZ1: \Zr\Z1Red"
fileA="  ZrZ2: \Zr\Z2Green"
fileB="\ZuBackground Colors (cont.)\ZU\n  ZrZ3: \Zr\Z3Yellow"
fileC="  ZrZ4: \Zr\Z4Blue"
fileD="  ZrZ5: \Zr\Z5Magenta"
fileE="  ZrZ6: \Zr\Z6Cyan"
fileF="  ZrZ7: \Zr\Z7White"
fileG="  ZrZ8: \Zr\Z8Black"

############################################################ GLOBALS

# Title and backtitle
title="Color/Multiline Label Sample"
backtitle="fdpv"

# Text to display before the mini-progress bar layout
prefix=

############################################################ MAIN

#
# See fdpv(1) for details
#
./fdpv -T \
	${title:+-t"$title"} \
	${backtitle:+-b"$backtitle"} \
	${prefix:+-p"$prefix"} \
	${LABEL_SIZE:+-L$LABEL_SIZE} \
	${PBAR_SIZE:+-P$PBAR_SIZE} \
	"$@" \
	"$file1" "$file2" "$file3" "$file4" "$file5" "$file6" "$file7" \
	"$file8" "$file9" "$fileA" "$fileB" "$fileC" "$fileD" "$fileE" \
	"$fileF" "$fileG"

################################################################################
# END
################################################################################
